Loading...
Searching...
No Matches
Halide::Internal::GeneratorParamInfo Class Reference

`#include <Generator.h>`

## Public Member Functions

| GeneratorParamInfo (GeneratorBase *generator, size_t size)
const std::vector< Internal::GeneratorParamBase * > & | generator_params () const
const std::vector< Internal::GeneratorInputBase * > & | inputs () const
const std::vector< Internal::GeneratorOutputBase * > & | outputs () const

## Detailed Description

Definition at line 3122 of file Generator.h.

## Constructor & Destructor Documentation

## GeneratorParamInfo()

Halide::Internal::GeneratorParamInfo::GeneratorParamInfo | ( | GeneratorBase * | generator,
|  | size_t | size )

References GeneratorBase.

## Member Function Documentation

## generator_params()

const std::vector< Internal::GeneratorParamBase * > & Halide::Internal::GeneratorParamInfo::generator_params | ( |  | ) | const

inline

Definition at line 3148 of file Generator.h.

## inputs()

const std::vector< Internal::GeneratorInputBase * > & Halide::Internal::GeneratorParamInfo::inputs | ( |  | ) | const

inline

Definition at line 3151 of file Generator.h.

Referenced by Halide::Internal::GeneratorBase::set_inputs().

## outputs()

const std::vector< Internal::GeneratorOutputBase * > & Halide::Internal::GeneratorParamInfo::outputs | ( |  | ) | const

inline

Definition at line 3154 of file Generator.h.

The documentation for this class was generated from the following file:

- src/Generator.h